tigase.jaxmpp.core.client.xmpp.modules.muc

## Class XMucUserElement

- java.lang.Object
- - tigase.jaxmpp.core.client.xml.ElementWrapper
  - - tigase.jaxmpp.core.client.xmpp.modules.muc.XMucUserElement

- All Implemented Interfaces:
    Element

      public class XMucUserElement
      extends ElementWrapper

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static XMucUserElement` | `extract(Stanza stanza)`
    `Affiliation` | `getAffiliation()`
    `JID` | `getJID()`
    `String` | `getNick()`
    `Role` | `getRole()`
    `Set<Integer>` | `getStatuses()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xml.ElementWrapper

      `addChild, equals, findChild, getAsString, getAttribute, getAttributes, getChildAfter, getChildElementValue, getChildElementValue, getChildren, getChildren, getChildrenNS, getChildrenNS, getFirstChild, getFirstChild, getName, getNextSibling, getParent, getValue, getWrappedElement, getXMLNS, hashCode, removeAttribute, removeChild, setAttribute, setAttributes, setChildElementValue, setChildElementValue, setParent, setValue, setXMLNS, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### extract

          public static XMucUserElement extract(Stanza stanza)
                                         throws XMLException

      Throws:
        `XMLException`

    - #### getAffiliation

          public Affiliation getAffiliation()
                                     throws XMLException

      Throws:
        `XMLException`

    - #### getJID

          public JID getJID()
                     throws XMLException

      Throws:
        `XMLException`

    - #### getNick

          public String getNick()
                         throws XMLException

      Throws:
        `XMLException`

    - #### getRole

          public Role getRole()
                       throws XMLException

      Throws:
        `XMLException`

    - #### getStatuses

          public Set<Integer> getStatuses()

Copyright © 2006–2022 Tigase. All rights reserved.